#include "precompile.h"

#include "jsondatamgr.h"
#include "app.h"

#include "framework/cpp/utils.h"

void JsonDataMgr::Init()
{
    std::string masterserver_cluster_json_file;
    if (!f8::IsOnlineEnv()) {
        if (f8::IsTestEnv()) {
            work_path_ = a8::Format("../../../conf_test/game%d/masterserver.test",
                                    {
                                     GAME_ID
                                    });
        } else {
            work_path_ = a8::Format("../../../conf_test/game%d/masterserver.dev",
                                    {
                                     GAME_ID
                                    });
        }
    }
    masterserver_cluster_json_file = a8::Format("%s/node%d/game%d.masterserver.cluster.json",
                                                {
                                                 work_path_,
                                                 App::Instance()->node_id,
                                                 GAME_ID
                                                });
    masterserver_cluster_json_.ReadFromFile(masterserver_cluster_json_file);
}

void JsonDataMgr::UnInit()
{
}

std::shared_ptr<a8::XObject> JsonDataMgr::GetConf()
{
    if (App::Instance()->instance_id < 1 || App::Instance()->instance_id > masterserver_cluster_json_.Size()) {
        abort();
    }
    return masterserver_cluster_json_[App::Instance()->instance_id - 1];
}
